    BSIP: 0004
    Title: Distribute Market Fees on Core Asset to Referral Program
    Authors: Daniel Larimer <Dan@cryptonomex.com>
             Fabian Schuh <Fabian@BitShares.eu>
    Status: Draft
    Type: Protocol
    Created: 2015-12-16
    Discussion: <https://github.com/cryptonomex/graphene/issues/446>
    Worker: TBD

# Abstract

Currently the BitShares network does not charge a percentage based market fee on
trades of the core asset (BTS) or assets created by the committee account
(BitAssets like USD, CNY, etc). Instead BitShares has a fixed price for filled
orders defined by the order creation fee. See [BSIP-0002](bsip-0002.md) for more
information.

This proposal is to implement a hard-fork that would grant committee members the
option to charge market fees for their assets. Any market fees earned would be
converted to BTS via the fee pool and then distributed to the referral program
like any other fees.

# Motivation

Market pegged assets trade at 0% market fees by default. The commitee members
could decide to set a percentage as fee already, but the fees would end up in
the committee's account.

By implementing this proposals, we let shareholders decide whether or not to
redirect these profits to the referral program.

# Discussion

When enabling market fees for an asset, trading becomes slightly more expensive
for traders and could discourage trades. On the other hand, having more funds
to distribute for marketing in the form of referral rewards could improve
exposure and incentivise to bring in new customers for our products and the
trading platform which may result in increased profits from fees in general.
Furthermore, if percentage-based market fees were enabled now, they would end up
in the issuers account, i.e. the committee-account, and could potentially be
used by the committee to serve BitShares directly. By approving this proposal,
those funds were distributed to the referral program which could improve
adoption.

# UIA vs Committee Asset 

When trading between two assets controlled by the committee it goes to the referral program, 
when trading between a UIA and an asset controlled by the committee the fee should go to the UIA issuer. 
In this way asset issuers get the same income they would get if they traded BTS vs an asset on their
local exchange.

# Copyright

This document is placed in the public domain.
