    BSIP: 0005
    Title: Expiring Votes for Witnesses
    Authors: Daniel Larmier <Dan@cryptonomex.com>
             Fabian Schuh <Fabian@BitShares.eu>
    Status: Deferred
    Type: Protocol
    Created: 2015-12-16
    Discussion: <https://github.com/cryptonomex/graphene/issues/265>
                <https://bitsharestalk.org/index.php/topic,18109.0.html>
    Worker: tbd

# Abstract

Votes for witnesses are a measure of reputation in that they cast a persistent
opinion - so not like votes in the traditional sense of the word. The
witness voting system is currently designed to ensure stability by directing
the apathetic to vote for incumbents. Whilst this may have advantages, it
seems to present the danger that incumbents are likely to attain a
near-unassailable position (excepting of course those who exhibit negligent/bad
behaviour).

# Motivation

If the aim is the create an autocracy - albeit seeded by the active witnesses
or so original gainers of significant 'reputation' - then this is fine. However,
it would seem to discourage serious efforts to try and break into the active
circle by newcomers with much to contribute. At the end of the BitShares 1
network, circa. 220M votes were required and a quick browse of the delegates
showed that with a few notable exceptions, the majority have been in place since
a 4 or 5 digit block number - have all been of these current, active contributors?

# Specifications

A blockchain parameter can be added that enforces a minimal *freshness* to votes
that are counted and handle cases of lost keys or apathetic votes hanging
around.

# Discussion

## Linear, Exponential, or other decay

The question is left open whether the *freshness* of votes decreases linearily,
exponentially or by any other function. It is further not defined if the
decrease should scale with the number of blocks or the absolute time.

## Voter Apathy

The argument has been raised that a apathy of voters would result in only few
*active* votes which could leave the blockchain open to attacks with only little
stake.

## Highly Volatile Voting Power

This proposal results in a high volatilty in voting power which has mostly
negative effects when votes are removed from the actively voting stake, i.e. a
big stake (e.g. from a proxy) expires. This could result in significant changes
that take effect instantly. 
An alternative approach to fix this would be to have a window (e.g. several
days) in which changes in votes take effect gradually.

# Copyright

This document is placed in the public domain.

# See Also

* https://bitsharestalk.org/index.php/topic,20753.0.html
