```
BSIP: 0016
Title: Optimization to Force Settlement Parameters of BitCNY
Authors: Jerry Liu<jerry.liu@transwiser.com>
Status: Installed
Type: Protocol
Created: 2016-05-06
Discussion: https://bitsharestalk.org/index.php/topic,22355.0.html
Worker: no
```

# Abstract

We here propose to optimize the settlement *offset* and maximum settlement *volume* of bitCNY to encourage shorters to provide liquidity in the bitCNY:BTS market with a lower risk.

# Motivation

As a smartcoin, bitCNY pegs to CNY, it is expected to be used in some payment and trading scenarios as a stable currency, however, as bitCNY is generated by shorting with BTS as collateral, and the debt position is possible to be force settled at any time, market participants may not have enough incentive to short and as a possible consequence bitCNY is in low supply level. This restricts the growing of relevant economy. What is proposed is to set a compensation from holder to shorter and lower the force settlement volume limit, these will reduce the risk of shorters and encourage them to provide more bitCNY supply. 

# Rationale

The force settlement offset can be seen as a service fee that holder pay to the settled shorter at the time of force settlement. The offset need to be a proper value that can balance the risk of holders and shorters. A 0 offset is not reasonable enough as in common financial logic the collateral should not be force settled without any compensation if the collateral price does not fall below the margin call price. On the other hand, if the offset is set too high, holders will be discouraged to hold the smartcoin as high offset can make force settlement not feasible.

As a reference, TCNY has been set a 2% force settlement offset, the consequence is that almost no holder wanted to request force settlement even when the price for the collateral was very low.

Based on this reference, and the experiences made with current offset in CNY, a 1% offset is proposed with the option of advancing to a time-variable offset updated occasionally.

Suppose there was no settlement within the last 24 hour, then the maximum volume that can be force settled a 24h-period is

    supply * (1-(1-q)**24)` , with `q = maximum_force_settlement_volume

(Note: Settlement volume is define in relation to the maintenance interval which is currently 24h)

Here `p=(1-(1-q)**24)` represent the maximum percentage of the supply that can be force settled in 24 hours, then

    if q=3%   p=51.9%
    if q=2%   p=38.4%
    if q=1%   p=21.4%
    if q=0.5% p=11.3%
    if q=0.2% p=4.7%

`q=0.5%` should be a reasonable choice with at most 11.3% of supply that can be force settled in one day. 

# Specification

A committee proposal will change the 2 parameters of bitCNY from

    force_settlement_offset_percent = 0
    maximum_force_settlement_volume = 2% per maintenance interval

to

    force_settlement_offset_percent = 1%
    maximum_force_settlement_volume = 0.5% per maintenance interval

The expiration time will be set to **30 days** for relevant users to respond and operate.
This notice gives

* **shareholders** time to evaluate the proposal and remove support from committee members that do not vote in their favor
* **longs** time to sell or settle their long position prior to the installation of the new settings
* **shorts** time to adjust their trading strategies for bitCNY

# Discussion

### Will bitCNY be "devalued" after this change?

It is our opinion that *force settlement* is a service. This change is to ask holders to pay a small percentage (1%) fee to shorters when requesting force settlement. If the proposal is accepted by the committee, bitCNY is *devalued* by 1% **if** force settlement was the only way for this smartcoin to quit. However, bitCNY can still be traded in the regular market including markets to other assets.
Hence, we do not see that bitCNY are "devalued".

### Should this change be applied to other smartcoin such as bitUSD?

Based on the same logic, it makes sense to apply the same change to other smartcoins, but to be cautious, it is proposed to first apply the change to bitCNY, after observation and review with long enough time, it can be considered to apply the change to other smartcoins. This, however, will require another written proposal and is not covered by this BSIP!

### Does this proposal break a promise?

Yes, but maybe not! There were promises made that bitassets can be settled at any time at the *fair price* (price feed). With this proposal, we ask for a percentage fee for the settlement service. This can be interpreted as breaking a promise while it could also be interpreted as a change in fee schedule: "Settlements are free for the first few months, after that they are 1%".

# Summary for Shareholders

Currently, there is no settlement offset which means that longs can settle their position *at* the price feed. The consequence is that market participants are not selling their bitCNY at the price feed but slightly higher knowing that they could always settle at the feed via settlement.

By asking for a percentage of the settled volume, the premium is assumed to be reduced and bitCNY will be traded more tightly around parity. Since the settlement offset is paid by the long position to the settled shot position, shorters are compensated for providing bitCNY. Because settlements happen on a 24h notice, we expect shorts to adjust their collateral to *catch* settlement orders and make a profit.

For the long position, the settlement offset appears as if it was a percentage fee for the serivce of settlement after 24h.

 
# Copyright

This document is placed in the public domain.
