
    BSIP: #019
    Title: Introducing profit-sharing/dividends to Bitshares (MPA only)
    Authors: [Customminer](https://steemit.com/@cm-steem/)
    Status: Deferred
    Type: Protocol
    Created: 2017-06-18
    Primary Discussion: https://bitsharestalk.org/index.php/topic,23981.0.html
    Similar Discussions: https://bitsharestalk.org/index.php/topic,23706.0.html , https://bitsharestalk.org/index.php/topic,21476.msg279498.html#msg279498 , https://bitsharestalk.org/index.php/topic,23707.0.html
    Replaces: N/A
    Superseded-By: N/A
    Worker: No worker proposal yet - propose bounty?

---

# Abstract

The introduction of 'profit sharing / dividends' for [BTS|MPA] on the Bitshares DEX via the redistribution of fees.

---

# Motivation

One of the major selling points of BTSX (for myself) back in 2014 was the 5% (really variable x%) on 'anything' marketing.

The idea that anyone could securely hold MPAs long term in their wallet and receive better 'interest' rates than that FIAT banks were offering was (and remains) a powerful message which had myself (and a lot of other users) sold on Bitshares.

During the migration from BTSX (BTS 0.9x) to BTS 2.0 we removed 'socialized yield' due to '[yield harvesting](https://bitshares.org/blog/2015/06/08/lessons-learned-from-bitshares-0.x/#socialized-yield-is-broken)'. I believe that its removal without an established replacement income stream for asset holders was a mistake (one that we can amend).

The last monthly gathered fee estimate was approximately 1 million BTS per month which is approximately $330,000 (not an insignificant sum), of which 80% was distributed to the referral system (20% goes to the reserve pool).

The Bitshares DEX [recently turned a profit](https://steemit.com/bitshares/@steempower/bitshares-state-of-the-network-13th-june-2017)!

Peerplays has [already implemented profit sharing in graphene](https://github.com/BunkerChainLabsInc/peerplays-profitshare).

---

# Rational

* The potential for profiting more by holding your assets on the BTS DEX than within a traditional FIAT bank (without taking on risk) could drive many new users to pick the BTS DEX over centralized banks for storing their savings in the future.
* An increased demand for MPA leads to an increased MPA supply and thus a reduction in the quantity of liquid BTS (since 200-300% BTS are locked up as collateral for each MPA token).
* An increase in MPA supply potentially encourages greater MPA liquidity on the BTS DEX.
* Other cryptocurrency platforms offer profit-sharing/dividends, such as [Peerplays](https://github.com/BunkerChainLabsInc/peerplays-profitshare)/NXT/CounterParty/DigixDAO/LBRY/Waves/Dash.
* By incentivizing Bitshares users to hold their BTS on the DEX instead of on centralized exchanges we minimize the risk of said centralized exchanges having a massive voting weight with which they could disrupt BTS operations by voting maliciously.
* We can reallocate fee redistribution without increasing fees by reducing referral fee allocation.

---

# Specifications

## Implementation of Peerplays profit sharing mechanism
The Peerplays developement team developed [profit-sharing code for the Graphene toolkit](https://github.com/BunkerChainLabsInc/peerplays-profitshare) approximately one year ago, they have repeatedley given permission for the BTS DEX to utilise their developed profit-sharing code ([case 1](https://bitsharestalk.org/index.php/topic,23981.75.html), [case 2](https://steemit.com/bitshares/@cm-steem/bsip-019-draft-introducing-profit-sharing-dividends-to-bitshares#@peerplays/re-cm-steem-bsip-019-draft-introducing-profit-sharing-dividends-to-bitshares-20170620t032010758z)). A large portion of the work required for this BSIP may already be complete.

## Fee redistribution variables
The fee redistribution values should be discussed thoroughly and either decided by the committee (smartcoins) or the MPA issuer (non-smartcoin assets such as Algorithm based Assets).

### Potential fee redistribution variables:

* #### Higher level fee redistribution groups
  * Reserve pool : %
  * [Referral system](http://docs.bitshares.eu//bitshares/user/referral-program.html) : %
  * bitAsset (MPA) holders : %
  * BTS holders : %

* #### Account types
  * [LTM members](http://docs.bitshares.eu//bitshares/user/account-memberships.html#lifetime-members) : %
  * Non-LTM members : %

* #### Dividend settings
  * Dividend schedule (sharedrop timeframe) : Days/Blocks
  * Max Coin-Age : Days/Blocks
  * Bonus rate for age past max coin-age : %
  * MPA dividends permissions : Enable/Disable
  * MPA dividend prioritization : Equal split between all MPA (subsidizing less active MPA), or proportional to [trading volume|MPA supply].

## Basis for distribution within sharedrop timeframe
  * Dividends is paid on a scheduled basis as opposed to on user demand
  * Dividends are paid based on MPA asset holdings
  * 'Coin-age' of asset holdings
  * Split of network fees between MPA tokens, either on an equal split or proportional basis.

## Whitelist/Blacklist options

* Configured by the Committee or the MPA issuer.
* An optional whitelist could provide increased control over who is eligible to earn dividends on their MPA holdings.
* An optional blacklist could prevent exchanges/services from earning dividends/interest on MPA (incentivizing holding MPA on the BTS DEX over centralized exchanges).

---

# Discussion

## Is BSIP19 vulnerable to 'yield-harvesting'?
A quote from the '[Socialized yield is broken](https://bitshares.org/blog/2015/06/08/lessons-learned-from-bitshares-0.x/#socialized-yield-is-broken)' blog post:

> "Under BitShares the BitAsset holders receive a yield simply by holding BitUSD. This yield was between 1% and 5% APR on average. Unfortunately, yield harvesting can happen at any time by someone shorting to themselves to gain a very low risk return and undermining goal of encouraging people to buy and hold BitUSD. The yield was funded from transaction fees and by interest paid by shorts."

* Rather than paying profit to shorters on demand, this BSIP proposes scheduled dividends against BitAsset (MPA) holders via the redistribution of network fees.
* If we simply took a snapshot of user asset holdings at the immediate time of dividend issuance then users could create the asset immediately prior to the scheduled dividend after which they could settle the token back to BTS. To prevent this behaviour, we need to take the age of asset holdings into account.
* Thus BSIP19 is not vulnerable to the 'yield-harvesting' issue that was prevalent within 'Socialized Yield'.

## Collateralized Bonds
The concept of "[Collateralized Bonds](https://bitshares.org/blog/2015/06/08/lessons-learned-from-bitshares-0.x/#socialized-yield-is-broken)" has yet to materialize within Bitshares 2.0, so in effect we cut asset holders out of fee redistribution (by removing 'socialized yield') without providing a replacement source of income for holding assets on the Bitshares DEX.

## Additional topics for discussion
* Should exchanges be exempt from receiving dividends?
* Should LTM users receive a separate bonus dividend? Specifically, BTS dividends for holding BTS
* Can we pay out dividends in MPA, or will we have to distribute BTS?
* Is there a better idea than 'coin-age' for fair dividend distribution?
* What's a fair max coin-age? The sharedrop timeframe?
* Should coin-age greater than the sharedrop timeframe receive a bonus modifier?
* Who can perform this work?
* How much should a worker proposal charge for this task?

---

# Summary for Shareholders
* No worker proposal has been created yet, input from coders regarding the cost is necessary.
* This BSIP does not propose values for these fees, this is up to the discretion of the network & committee.
* The fees distributed towards the referral system will be reduced to make room for profit-sharing.

---

# Copyright
Peerplays created the [profit-sharing functionality](https://github.com/BunkerChainLabsInc/peerplays-profitshare) w/ MIT license:
* > "[The code was created by Bunkerchain Labs Inc. and licensed MIT. So long as MIT parameters are met it can be used in Bitshares.](https://steemit.com/bitshares/@cm-steem/bsip-019-draft-introducing-profit-sharing-dividends-to-bitshares#@peerplays/re-cm-steem-bsip-019-draft-introducing-profit-sharing-dividends-to-bitshares-20170620t032010758z)" - Peerplays (Steemit)
* > "[Implement our profit sharing code thanks to Peerplays development](https://bitsharestalk.org/index.php/topic,23981.75.html)" - BunkerChainLabs (Bitsharestalk)

# See Also
* [BSIP-19 Steemit thread](https://steemit.com/bitshares/@cm-steem/bsip-019-updated-draft-introducing-profit-sharing-dividends-to-bitshares-mpa-only)
