    BSIP: 1206 (unassigned)
    Title: Metadata hiding via Garlic Routing and other means
    Authors: Christopher J. Sanborn
    Status: Draft
    Type: Informational
    Created: 2018-01-29
    Discussion: <url>


## Abstract

To provide an overview of strategies that can be used by wallets to prevent leaking of sensitive metadata, e.g. your interest in particular balances on the blockchain, to third parties that may be monitoring network traffic, or to potentially compromised nodes on the BitShares p2p network.

## Motivation

Querying a p2p node to check your confidential balances reveals your interest in particular commitments and threatens anonymity by establishing a link between an IP address and a commitment set.  New anonymity technologies such as Garlic routing and i2p can be used to ensure that neither network monitoring nor a compromised p2p node can determine the origin of a request regarding a particular set of commitments, thus protecting anonymity.

Additionally, querying a discrete set of commitments undermines confidential unlinkability.  Unlinkability is the inability to determine that multiple independent commitments are controlled by the same party.  Although not perfect, a partial solution to this is to use Bloom filters to query a superset of commitments, so that the p2p node will return a mix of linked commitments as well as random commitments, making it difficult for an external observer to establish which commitments are actually of interest to the querying party and which are included by the filter serendipitously.

There may also exist other strategies of merit to protect unlinkability and privacy generally.

## Rationale
## Specifications
## Discussion
## Summary for Shareholders
## Copyright

This document is placed in the public domain.

## See Also
